package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag970;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT970Creator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag25Creator extends AbsTagCreate {

    private MT970Creator mt970Creator;

    public Tag25Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt970Creator= (MT970Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag25Value=mt970Creator.getAccountIc();
        mt970Creator.set("25",tag25Value);
    }
}
